import cv2 as cv
import sys
import numpy as np

image = cv.imread(cv.samples.findFile("systemyMultimedialne.jpg"))
if image is None:
    sys.exit("Nie mozna wczytac obrazka")
cv.imshow("Okno systemyMultimedialne.jpg", image)

cv.namedWindow("Przyklad 2 - okno 2 - blur", cv.WINDOW_AUTOSIZE )

image2 = cv.GaussianBlur(image,(5,5),0) # zastosowanie rozmycia gaussowskiego do image, wynik zostanie zapamietany w image2
cv.imshow("Przyklad 2 - okno 2 - blur", image2)

#====== wykrywanie krawedzi: =======
# w celu wykrycia krawedzi funkcja cvCanny trzeba przekonwertowac obraz do odcieni szarości
imageBW = cv.cvtColor(image2, cv.COLOR_BGR2GRAY) # skopiowanie obrazu kolorowego do obrazu z odcieniami szarosci (konwersja na odcienie szarosci)
edgesImage = cv.Canny(imageBW, 0.3, 0.8, 3) #  wykrycie krawędzi
#====================================
cv.namedWindow( "Przyklad 2 - okno 3 - krawedzie", cv.WINDOW_AUTOSIZE )
  
cv.imshow("Przyklad 2 - okno 3 - krawedzie", edgesImage)

k = cv.waitKey(0)